
package WebServicesSF;

import WebServicesSF.GenerarPlanoXML;
import WebServicesSF.ImportarDatosDS;
import WebServicesSF.ImportarDatosTablasDS;
import WebServicesSF.ObjectFactory;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Holder;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "wsGenerarPlanoSoap", targetNamespace = "http://generictransfer.com/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface WsGenerarPlanoSoap {


    /**
     * 
     * @param path
     * @param strCompania
     * @param strClave
     * @param idDocumento
     * @param idCompania
     * @param generarPlanoXMLResult
     * @param strNombreDocumento
     * @param dsFuenteDatos
     * @param strUsuario
     * @param strResultado
     */
    @WebMethod(operationName = "GenerarPlanoXML", action = "http://generictransfer.com/GenerarPlanoXML")
    @RequestWrapper(localName = "GenerarPlanoXML", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.GenerarPlanoXML")
    @ResponseWrapper(localName = "GenerarPlanoXMLResponse", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.GenerarPlanoXMLResponse")
    public void generarPlanoXML(
        @WebParam(name = "idDocumento", targetNamespace = "http://generictransfer.com/")
        int idDocumento,
        @WebParam(name = "strNombreDocumento", targetNamespace = "http://generictransfer.com/")
        String strNombreDocumento,
        @WebParam(name = "idCompania", targetNamespace = "http://generictransfer.com/")
        int idCompania,
        @WebParam(name = "strCompania", targetNamespace = "http://generictransfer.com/")
        String strCompania,
        @WebParam(name = "strUsuario", targetNamespace = "http://generictransfer.com/")
        String strUsuario,
        @WebParam(name = "strClave", targetNamespace = "http://generictransfer.com/")
        String strClave,
        @WebParam(name = "dsFuenteDatos", targetNamespace = "http://generictransfer.com/")
        GenerarPlanoXML.DsFuenteDatos dsFuenteDatos,
        @WebParam(name = "Path", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> path,
        @WebParam(name = "strResultado", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> strResultado,
        @WebParam(name = "GenerarPlanoXMLResult", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.OUT)
        Holder<String> generarPlanoXMLResult);

    /**
     * 
     * @param path
     * @param strCompania
     * @param strClave
     * @param idDocumento
     * @param idCompania
     * @param importarDatosXMLResult
     * @param strNombreDocumento
     * @param strUsuario
     * @param strFuenteDatos
     */
    @WebMethod(operationName = "ImportarDatosXML", action = "http://generictransfer.com/ImportarDatosXML")
    @RequestWrapper(localName = "ImportarDatosXML", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosXML")
    @ResponseWrapper(localName = "ImportarDatosXMLResponse", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosXMLResponse")
    public void importarDatosXML(
        @WebParam(name = "idDocumento", targetNamespace = "http://generictransfer.com/")
        int idDocumento,
        @WebParam(name = "strNombreDocumento", targetNamespace = "http://generictransfer.com/")
        String strNombreDocumento,
        @WebParam(name = "idCompania", targetNamespace = "http://generictransfer.com/")
        int idCompania,
        @WebParam(name = "strCompania", targetNamespace = "http://generictransfer.com/")
        String strCompania,
        @WebParam(name = "strUsuario", targetNamespace = "http://generictransfer.com/")
        String strUsuario,
        @WebParam(name = "strClave", targetNamespace = "http://generictransfer.com/")
        String strClave,
        @WebParam(name = "strFuenteDatos", targetNamespace = "http://generictransfer.com/")
        String strFuenteDatos,
        @WebParam(name = "Path", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> path,
        @WebParam(name = "ImportarDatosXMLResult", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.OUT)
        Holder<String> importarDatosXMLResult);

    /**
     * 
     * @param importarDatosDSResult
     * @param path
     * @param strCompania
     * @param strClave
     * @param idDocumento
     * @param idCompania
     * @param strNombreDocumento
     * @param dsFuenteDatos
     * @param strUsuario
     */
    @WebMethod(operationName = "ImportarDatosDS", action = "http://generictransfer.com/ImportarDatosDS")
    @RequestWrapper(localName = "ImportarDatosDS", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosDS")
    @ResponseWrapper(localName = "ImportarDatosDSResponse", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosDSResponse")
    public void importarDatosDS(
        @WebParam(name = "idDocumento", targetNamespace = "http://generictransfer.com/")
        int idDocumento,
        @WebParam(name = "strNombreDocumento", targetNamespace = "http://generictransfer.com/")
        String strNombreDocumento,
        @WebParam(name = "idCompania", targetNamespace = "http://generictransfer.com/")
        int idCompania,
        @WebParam(name = "strCompania", targetNamespace = "http://generictransfer.com/")
        String strCompania,
        @WebParam(name = "strUsuario", targetNamespace = "http://generictransfer.com/")
        String strUsuario,
        @WebParam(name = "strClave", targetNamespace = "http://generictransfer.com/")
        String strClave,
        @WebParam(name = "dsFuenteDatos", targetNamespace = "http://generictransfer.com/")
        ImportarDatosDS.DsFuenteDatos dsFuenteDatos,
        @WebParam(name = "Path", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> path,
        @WebParam(name = "ImportarDatosDSResult", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.OUT)
        Holder<String> importarDatosDSResult);

    /**
     * 
     * @param path
     * @param strCompania
     * @param strClave
     * @param idDocumento
     * @param importarDatosTablasXMLResult
     * @param idCompania
     * @param strNombreDocumento
     * @param strUsuario
     * @param strFuenteDatos
     */
    @WebMethod(operationName = "ImportarDatosTablasXML", action = "http://generictransfer.com/ImportarDatosTablasXML")
    @RequestWrapper(localName = "ImportarDatosTablasXML", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosTablasXML")
    @ResponseWrapper(localName = "ImportarDatosTablasXMLResponse", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosTablasXMLResponse")
    public void importarDatosTablasXML(
        @WebParam(name = "idDocumento", targetNamespace = "http://generictransfer.com/")
        int idDocumento,
        @WebParam(name = "strNombreDocumento", targetNamespace = "http://generictransfer.com/")
        String strNombreDocumento,
        @WebParam(name = "idCompania", targetNamespace = "http://generictransfer.com/")
        int idCompania,
        @WebParam(name = "strCompania", targetNamespace = "http://generictransfer.com/")
        String strCompania,
        @WebParam(name = "strUsuario", targetNamespace = "http://generictransfer.com/")
        String strUsuario,
        @WebParam(name = "strClave", targetNamespace = "http://generictransfer.com/")
        String strClave,
        @WebParam(name = "strFuenteDatos", targetNamespace = "http://generictransfer.com/")
        String strFuenteDatos,
        @WebParam(name = "Path", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> path,
        @WebParam(name = "ImportarDatosTablasXMLResult", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.OUT)
        Holder<String> importarDatosTablasXMLResult);

    /**
     * 
     * @param path
     * @param strCompania
     * @param strClave
     * @param idDocumento
     * @param importarDatosTablasDSResult
     * @param idCompania
     * @param strNombreDocumento
     * @param dsFuenteDatos
     * @param strUsuario
     */
    @WebMethod(operationName = "ImportarDatosTablasDS", action = "http://generictransfer.com/ImportarDatosTablasDS")
    @RequestWrapper(localName = "ImportarDatosTablasDS", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosTablasDS")
    @ResponseWrapper(localName = "ImportarDatosTablasDSResponse", targetNamespace = "http://generictransfer.com/", className = "com.generictransfer.ImportarDatosTablasDSResponse")
    public void importarDatosTablasDS(
        @WebParam(name = "idDocumento", targetNamespace = "http://generictransfer.com/")
        int idDocumento,
        @WebParam(name = "strNombreDocumento", targetNamespace = "http://generictransfer.com/")
        String strNombreDocumento,
        @WebParam(name = "idCompania", targetNamespace = "http://generictransfer.com/")
        int idCompania,
        @WebParam(name = "strCompania", targetNamespace = "http://generictransfer.com/")
        String strCompania,
        @WebParam(name = "strUsuario", targetNamespace = "http://generictransfer.com/")
        String strUsuario,
        @WebParam(name = "strClave", targetNamespace = "http://generictransfer.com/")
        String strClave,
        @WebParam(name = "dsFuenteDatos", targetNamespace = "http://generictransfer.com/")
        ImportarDatosTablasDS.DsFuenteDatos dsFuenteDatos,
        @WebParam(name = "Path", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.INOUT)
        Holder<String> path,
        @WebParam(name = "ImportarDatosTablasDSResult", targetNamespace = "http://generictransfer.com/", mode = WebParam.Mode.OUT)
        Holder<String> importarDatosTablasDSResult);

}
